<nav class="navbar navbar-expand-lg navbar-light bg-light">
<div class="container-fluid">
    <a class="navbar-brand" href="#">Navbar</a>
    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNavAltMarkup" aria-controls="navbarNavAltMarkup" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarNavAltMarkup">
    <div class="navbar-nav">
        <li class="nav-item">
            <a class="nav-link active" aria-current="page" href="{% url 'index' %}">Index</a>
        </li>
        {% if user.is_authenticated %}
        <li class="nav-item">
            <a class="nav-link" href="{% url 'logout' %}" >Logout</a>
        </li>
        <li class="nav-item">
            <a class="nav-link" href="{% url 'task-list' %}"> My Tasks</a>
        </li>
        <li class="nav-item">
            <a class="nav-link" href="{% url 'all-task-list' %}"> All Tasks</a>
        </li>
        {% else %}
        <li class="nav-item">
            <a class="nav-link active" href="{% url 'login' %}">Login</a>
        </li>
        <li class="nav-item">
            <a class="nav-link active" href="{% url 'register' %}">Register</a>
        </li>
         {% endif %}
    </div>
    </div>
</div>
</nav>